GeoSymAttExpression.ECDISExpression (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GeoSymAttExpression.ECDISExpression

    java.lang.Object
      com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
          com.bbn.openmap.layer.vpf.GeoSymAttExpression.ValueExpression
              com.bbn.openmap.layer.vpf.GeoSymAttExpression.ECDISExpression

All Implemented Interfaces:
  GeoSymAttExpression.Expression

Enclosing class:
  GeoSymAttExpression

    public static class GeoSymAttExpression.ECDISExpression

extends GeoSymAttExpression.ValueExpression

The ECDISExpression checks the warehouse for user set values when evaluating.

Author:
  dietrick

Field Summary

Fields inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`colIndex, colName, fci, op`

Constructor Summary
`GeoSymAttExpression.ECDISExpression(java.lang.String colName, double val, int op, VPFAutoFeatureGraphicWarehouse warehouse)`

Method Summary
`boolean` | `evaluate(FeatureClassInfo fci, int row, java.lang.StringBuffer reasoning)` For ECDISExpressions, none of the arguments matter.
`boolean` | `evaluate(FeatureClassInfo fci, java.util.List<java.lang.Object> row, java.lang.StringBuffer reasoning)` For ECDISExpressions, none of the arguments matter.
`boolean` | `evaluate(java.lang.StringBuffer reasoning)`
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`setIndexes, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeoSymAttExpression.ECDISExpression

    public GeoSymAttExpression.ECDISExpression(java.lang.String colName,
                                               double val,
                                               int op,
                                               VPFAutoFeatureGraphicWarehouse warehouse)

Method Detail

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            int row,
                            java.lang.StringBuffer reasoning)

  For ECDISExpressions, none of the arguments matter.

  Specified by:
    `evaluate` in interface `GeoSymAttExpression.Expression`
  Overrides:
    `evaluate` in class `GeoSymAttExpression.ValueExpression`

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            java.util.List<java.lang.Object> row,
                            java.lang.StringBuffer reasoning)

  For ECDISExpressions, none of the arguments matter.

  Specified by:
    `evaluate` in interface `GeoSymAttExpression.Expression`
  Overrides:
    `evaluate` in class `GeoSymAttExpression.ValueExpression`

### evaluate

    public boolean evaluate(java.lang.StringBuffer reasoning)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GeoSymAttExpression.ValueExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details